%define name 	scite
%define version 1.71
%define release %mkrel 1

%define scitever %(echo %{version} | sed -e 's/\\.//')

Summary: 	GTK text editor based on scintilla
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	BSD
Group: 		Editors
Url: 		http://www.scintilla.org/SciTE.html
Source: 	scite%scitever.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-root
BuildRequires: 	gtk+2-devel pkgconfig

%description
SciTE is a GTK based single-document editor.  While its features are
limited, its main purpose is to show off scintilla, an extensible
text highlighting and formatting engine.

%prep
%setup -q -n scite

%build
cd ../scintilla/gtk
perl -p -i -e "s/-Os/$RPM_OPT_FLAGS/g" makefile
make GTK2=1
cd $RPM_BUILD_DIR/scite/gtk
perl -p -i -e "s/-Os/$RPM_OPT_FLAGS/g" makefile
perl -p -i -e 's/netscape/www-browser/g' ../src/Embedded.properties
perl -p -i -e 's/netscape/www-browser/g' ../src/html.properties
perl -p -i -e 's/netscape/www-browser/g' ../src/SciTEGlobal.properties
make GTK2=1

%install
mkdir -p $RPM_BUILD_ROOT/%_bindir
mkdir -p $RPM_BUILD_ROOT/%_datadir/%name
mkdir -p $RPM_BUILD_ROOT/%_datadir/pixmaps
mkdir -p $RPM_BUILD_ROOT/%_datadir/gnome/apps/Applications
mkdir -p $RPM_BUILD_ROOT/%_mandir/man1
cp bin/SciTE $RPM_BUILD_ROOT/%_bindir
cp src/*.properties $RPM_BUILD_ROOT/%_datadir/%name
cp gtk/SciTE.desktop $RPM_BUILD_ROOT/%_datadir/gnome/apps/Applications
cp gtk/Sci48M.png $RPM_BUILD_ROOT/%_datadir/pixmaps
cp doc/%name.1 $RPM_BUILD_ROOT/%_mandir/man1

# menu
install -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="SciTE"\
needs="x11"\
section="More Applications/Editors"\
title="SciTE"\
icon="editors_section.png"\
longtitle="Scintilla Text Editor"
EOF

%clean
rm -fr $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
%doc doc/*
%_bindir/SciTE
%_datadir/%name/*
%_datadir/pixmaps/*
%_datadir/gnome/apps/Applications/*
%_mandir/man1/*
%_menudir/%name


%changelog
* Fri Nov 17 2006 Olivier Blin <oblin@mandriva.com> 1.71-1mdv2007.0
+ Revision: 85065
- 1.71
- Import scite



* Wed Feb 08 2006 Lenny Cartier <lenny@mandriva.com> 1.67-1mdk
- 1.67

* Sat Aug 27 2005 Austin Acton <austin@mandriva.org> 1.66-1mdk
- 1.66
- use www-broser instead of mozilla

* Wed Aug 3 2005 Austin Acton <austin@mandriva.org> 1.65-1mdk
- 1.65

* Thu Nov 11 2004 Austin Acton <auustin@mandrake.org> 1.62-1mdk
- 1.62
- fix menu

* Tue Jun 1 2004 Austin Acton <austin@mandrake.org> 1.61-1mdk
- 1.61
- new menu location

* Sun Jan 11 2004 Austin Acton <austin@linux.ca> 1.58-1mdk
- 1.58
- lib64 fix for buildrequires

* Sun Nov 30 2003 Austin Acton <austin@linux.ca> 1.57-1mdk
- 1.57

* Sun Oct 26 2003 Austin Acton <aacton@yorku.ca> 1.56-1mdk
- 1.56

* Wed Aug 13 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.54-1mdk
- 1.54

* Wed Jun 11 2003 Austin Acton <aacton@yorku.ca> 1.53-1mdk
- 1.53

* Mon Apr 21 2003 Austin Acton <aacton@yorku.ca> 1.52-1mdk
- 1.52
- move to gtk2 version
- use mozilla not netscape for help
- use opt flags

* Sun Feb 16 2003 Austin Acton <aacton@yorku.ca> 1.51-1mdk
- 1.51 

* Mon Jan 23 2003 Austin Acton <aacton@yorku.ca> 1.50-1mdk
- 1.50

* Fri Jan 03 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.49-1mdk
- from Austin Acton <aacton@yorku.ca> :
	- initial package
